Solved

VMware Cloud Director v10.4 Support


Userlevel 7
Badge +17

Last month VMware released VCD 10.4 which is an exciting release for a lot of VMware Cloud Providers. But this time they also deprecated a lot of older API versions including the API version that is being used by Commvault. We currently run FR26 which uses API version 31 to communicate with VCD so we cannot upgrade to VCD 10.4 and it's also not listed as part of the supported version in the FR28/2022e documentation.

I heard rumours support will be added in a FR28 (2022e) maintenance release somewhere in the near future, but I hope someone can be more clear on when we can expect VCD 10.4 to be supported. 

 

From the release notes:

  • VMware Cloud Director API versions 31.0 and 32.0 are not supported
  • VMware Cloud Director API versions 33.0, 34.0, 35.0 and 35.2 are deprecated and will be unsupported starting with the next major VMware Cloud Director release.

https://docs.vmware.com/en/VMware-Cloud-Director/10.4/rn/vmware-cloud-director-104-release-notes/index.html

 

 

icon

Best answer by Onno van den Berg 9 August 2022, 11:51

View original

31 replies

Badge +2

Thanks @Onno van den Berg  and @Marcel Geisen .

 

Lets do hope commvault will officially support this by the end of the year :)

Userlevel 1
Badge +4

Please note that although they bumped the API version being used it still means there is no official support. They found some minor issues who are being fixed and I hope it will be supported officially by the end of December. So in case you can't wait and really want to upgrade to 10.4 than you might encounter issues although @Marcel Geisen already proofed that from a functional perspective things could work well. 

Yes in our Dev Environment is working fine for the moment, but we hope it will be official supported end of the Year, because in January we want to update our Production vCloud to 10.4. Lets See ;-)

 

Userlevel 7
Badge +17

@Marcel Geisen Let us all prey 🙂 B.t.w. by that time you can already move to VCD 10.4.1 ;-)

Badge +1

Due to documentation the support is now official:

VMware Cloud Director Supported Versions

VMware Cloud Director 5.1.x, 5.5.x, 8.0, 8.1, 8.2, 9.0, 9.1, 9.5, 9.7, 10.0, 10.1, 10.2, 10.3, 10.4

Badge +2

We are fairly new to vCloud director in our company. Has someone had similar experiences when vCloud director 10.3 was released like we have had now with the 10.4 version?

Just thinking that we need to be a bit cautious with upgrades to 10.5 when that’s released in the future.

Userlevel 7
Badge +17

@chilledkroete thanks for sharing. I wasn't aware of this knowing that a maintenance release that will become available in the near future will contain several fixes to improve stability and to fix some issues that they identified. Anyhow it works well in our environment and we are about to enroll it in production, but we are still waiting for a fix which addresses the lack of support for hot-add in multi-cluster environments. I'm expecting the fix to become available soon.


@Kim Andre We also just started using the VCD hypervisor support as of the beginning of this year, but we couldn't get the plug-in working. It turned out to be an issue which related to SAML and a feature which allows you to switch between companies using a single identity. Both were addressed using the latest VCD-plugin which was released 2 weeks ago. 

For anyone using VCD 10.4 already or who has plans to go to VCD 10.4 the updated plugin/extension that was released 2 weeks ago, it's working pretty well! We captured 2 issues with it and fixes are in the making. One issue with out-of-place restores and an issue which drops information from the VCD plugin inventory on the first VM that was discovered/pulled into the inventory. 

 

Reply